FRACPLANET(1)

NAME
fracplanet - Create and view random fractal terrain and planets.

SYNOPSIS
fracplanet [ <QtOptions> ] [ --help ] [ --verbose ] [ --display-list ] [ --invert-mouse-y ] [ --wireframe ]

DESCRIPTION

Fracplanet generates random planets and terrain with oceans, mountains, icecaps and rivers. Parameters are specified interactively and the results displayed using OpenGL. The generated objects can be exported for Pov-Ray or Blender.

A document fully describing usage via the application's GUI is accessible from the application's "About" menu once it is running.

GENERAL OPTIONS

<QtOptions> Standard options recognised by the Qt toolkit (for example -geometry <width>x<height> Note that these use the single-dash option style. ).

--help, -h Display a list of recognised arguments.

--verbose, -v Display information about fracplanet and the GL graphics system it's running on.

RENDERING OPTIONS
These affect the initial settings on the render controls tab, which controls the OpenGL display.

--display-list, -d Start up the application with rendering in display list mode by default (c.f immediate mode). This is particularly useful when the application is running remotely as the generated meshes are then only sent to the local OpenGL display hardware once.

--invert-mouse-y, -y Start application with mouse in non-joystick mode for flight.

--wireframe, -w Start application with rendering set to wireframe mode.

SEE ALSO
blender povray

AUTHOR
fracplanet was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. For further details see the application's "About" dialog or the file LICENSE supplied with the source code.